Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs	(revision 484)
@@ -60,6 +60,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SQL作成
         /// <summary>
         /// SQL作成
@@ -66,26 +104,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM EstimateData", CreateFieldNameList());
 
-            strcmd.Append("  ConstructionCode");     // 工事番号
-            strcmd.Append(", LineCount");            // 行番号
-            strcmd.Append(", ComponentCode");        // 構成キー
-            strcmd.Append(", FixedItemCode");		// 固定項目キー
-            strcmd.Append(", ItemName");      		// 作業名称
-            strcmd.Append(", SpecName");      		// 品質・形状・寸法
-            strcmd.Append(", PriceValue");           // 金額
-            strcmd.Append(", Note");			        // 備考
-            strcmd.Append(", MyExpensesFlg");
-            strcmd.Append(", InputFlg");
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM EstimateData");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -184,10 +214,10 @@
                 strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                 strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                 strcmd.AppendFormat(",'{0}'", work.FixedItemCode);		    // 固定項目キー
-                strcmd.AppendFormat(",'{0}'", work.ItemName.Replace(",", "，"));     // 作業名称
-                strcmd.AppendFormat(",'{0}'", work.SpecName.Replace(",", "，"));     // 品質・形状・寸法
-                strcmd.AppendFormat(", {0}", work.PriceValue);                      // 金額
-                strcmd.AppendFormat(",'{0}'", work.Note.Replace(",", "，"));		// 備考
+                strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));    // 作業名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.SpecName));    // 品質・形状・寸法
+                strcmd.AppendFormat(", {0}", work.PriceValue);              // 金額
+                strcmd.AppendFormat(", {0}", SeparateString(work.Note));	// 備考
                 strcmd.AppendFormat(", {0}", work.MyExpensesFlg);           // 自社経費フラグ
                 strcmd.AppendFormat(", {0}", work.InputFlg);                // 入力フラグ
 
@@ -234,10 +264,10 @@
                     strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                     strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                     strcmd.AppendFormat(",'{0}'", work.FixedItemCode);		    // 固定項目キー
-                    strcmd.AppendFormat(",'{0}'", work.ItemName.Replace(",", "，"));     // 作業名称
-                    strcmd.AppendFormat(",'{0}'", work.SpecName.Replace(",", "，"));     // 品質・形状・寸法
-                    strcmd.AppendFormat(", {0}", work.PriceValue);                      // 金額
-                    strcmd.AppendFormat(",'{0}'", work.Note.Replace(",", "，"));		// 備考
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));    // 作業名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SpecName));    // 品質・形状・寸法
+                    strcmd.AppendFormat(", {0}", work.PriceValue);              // 金額
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));	// 備考
                     strcmd.AppendFormat(", {0}", work.MyExpensesFlg);           // 自社経費フラグ
                     strcmd.AppendFormat(", {0}", work.InputFlg);                // 入力フラグ
 
@@ -281,10 +311,10 @@
                 strcmd.AppendFormat(", LineCount = {0}", data.LineCount);               // 行番号
                 strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);       // 構成キー
                 strcmd.AppendFormat(", FixedItemCode = '{0}'", data.FixedItemCode);		// 固定項目キー
-                strcmd.AppendFormat(", ItemName = '{0}'", data.ItemName.Replace(",", "，"));      	// 作業名称
-                strcmd.AppendFormat(", SpecName = '{0}'", data.SpecName.Replace(",", "，"));      	// 品質・形状・寸法
+                strcmd.AppendFormat(", ItemName = {0}", SeparateString(data.ItemName));     // 作業名称
+                strcmd.AppendFormat(", SpecName = {0}", SeparateString(data.SpecName));     // 品質・形状・寸法
                 strcmd.AppendFormat(", PriceValue = {0}", data.PriceValue);             // 金額
-                strcmd.AppendFormat(", Note = '{0}'", data.Note.Replace(",", "，"));			    // 備考
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));			// 備考
                 strcmd.AppendFormat(", MyExpensesFlg = {0}", data.MyExpensesFlg);       // 自社経費フラグ
                 strcmd.AppendFormat(", InputFlg = {0}", data.InputFlg);                 // 入力フラグ
 
@@ -355,19 +385,19 @@
                         strcmd.AppendFormat(" ComponentCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.FixedItemCode:        // 固定項目キー
-                        strcmd.AppendFormat(" FixedItemCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" FixedItemCode = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.ItemName:             // 作業名称
-                        strcmd.AppendFormat(" ItemName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ItemName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SpecName:             // 品質・形状・寸法
-                        strcmd.AppendFormat(" SpecName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SpecName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.PriceValue:           // 金額
                         strcmd.AppendFormat(" PriceValue = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.Note:                 // 備考
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.MyExpensesFlg:
                         strcmd.AppendFormat(" MyExpensesFlg = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs	(revision 484)
@@ -59,6 +59,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SQL作成
         /// <summary>
         /// SQL作成
@@ -65,24 +103,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  ConstructionCode");         // 工事番号
-            strcmd.Append(", PageCount");		        // ページ番号
-            strcmd.Append(", Category");		            // 頁区分
-            strcmd.Append(", UnionComponentCode");		// 所属構成キー
-            strcmd.Append(", ComponentCode");		    // 構成キー
-            strcmd.Append(", ItemCode");		            // 工種キー
-            strcmd.Append(", SelectComponent");		    // 選択構成キー
-            strcmd.Append(", PageTitle");		        // ページ表示名
-            strcmd.Append(", DetailLineCount");          // 明細行番号
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM EstimateDataBody", CreateFieldNameList());
 
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM EstimateDataBody");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -187,7 +219,7 @@
                 strcmd.AppendFormat(", {0}", work.ComponentCode);	    // 構成キー
                 strcmd.AppendFormat(", {0}", work.ItemCode);		    // 工種キー
                 strcmd.AppendFormat(", {0}", work.SelectComponent);	    // 選択構成キー
-                strcmd.AppendFormat(",'{0}'", work.PageTitle);	        // ページ表示名
+                strcmd.AppendFormat(", {0}", SeparateString(work.PageTitle));   // ページ表示名
                 strcmd.AppendFormat(", {0}", work.DetailLineCount);     // 明細行番号
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -241,7 +273,7 @@
                     strcmd.AppendFormat(", {0}", work.ComponentCode);	    // 構成キー
                     strcmd.AppendFormat(", {0}", work.ItemCode);		    // 工種キー
                     strcmd.AppendFormat(", {0}", work.SelectComponent);	    // 選択構成キー
-                    strcmd.AppendFormat(",'{0}'", work.PageTitle);	        // ページ表示名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PageTitle));   // ページ表示名
                     strcmd.AppendFormat(", {0}", work.DetailLineCount);     // 明細行番号
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -286,7 +318,7 @@
                 strcmd.AppendFormat(",ComponentCode = {0}", data.ComponentCode);        // 構成キー
                 strcmd.AppendFormat(",ItemCode = {0}", data.ItemCode);		            // 工種キー
                 strcmd.AppendFormat(",SelectComponent = {0}", data.SelectComponent);    // 選択構成キー
-                strcmd.AppendFormat(",PageTitle ='{0}'", data.PageTitle);                // ページ表示名
+                strcmd.AppendFormat(",PageTitle = {0}", SeparateString(data.PageTitle));    // ページ表示名
                 strcmd.AppendFormat(",DetailLineCount = {0}", data.DetailLineCount);    // 明細行番号
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -368,7 +400,7 @@
                         strcmd.AppendFormat(" SelectComponent = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PageTitle:            // ページ表示名
-                        strcmd.AppendFormat(" PageTitle = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PageTitle = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.DetailLineCount:      // 明細行番号
                         strcmd.AppendFormat(" DetailLineCount = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs	(revision 484)
@@ -67,6 +67,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SQL作成
         /// <summary>
         /// SQL作成
@@ -74,33 +112,18 @@
         /// <returns></returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM EstimateDataDetail", CreateFieldNameList());
 
-            strcmd.Append("  ConstructionCode");         // 工事番号
-            strcmd.Append(", PageCount");		        // ページ番号
-            strcmd.Append(", LineCount");		        // 行番号
-            strcmd.Append(", DataType");                 // データイプ
-            strcmd.Append(", ComponentCode");		    // 構成キー（行）
-            strcmd.Append(", ItemCode");		            // 工種キー
-            strcmd.Append(", SpecCode");		            // 規格・寸法キー
-            strcmd.Append(", ItemName");		            // 作業名称
-            strcmd.Append(", SpecName");		            // 作業／品質・形状・寸法
-            strcmd.Append(", UnitCount");		        // 数量
-            strcmd.Append(", UnitName");		            // 単位
-            strcmd.Append(", UnitPrice");		        // 単価
-            strcmd.Append(", LineTotal");		        // 金額
-            strcmd.Append(", Note");			            // 備考
-            strcmd.Append(", CompanyCode");              // 協力会社コード
-            strcmd.Append(", MyExpensesFlg");
-            strcmd.Append(", InputFlg");
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM EstimateDataDetail");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -208,13 +231,13 @@
                     strcmd.AppendFormat(", {0}", work.ComponentCode);	    // 構成キー
                     strcmd.AppendFormat(", {0}", work.ItemCode);		    // 工種キー
                     strcmd.AppendFormat(", {0}", work.SpecCode);		    // 規格・寸法キー
-                    strcmd.AppendFormat(",'{0}'", work.ItemName.Replace(",", "，").Replace("'", "’"));		    // 作業名称
-                    strcmd.AppendFormat(",'{0}'", work.SpecName.Replace(",", "，").Replace("'", "’"));		    // 作業／品質・形状・寸法
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));	// 作業名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SpecName));	// 作業／品質・形状・寸法
                     strcmd.AppendFormat(", {0}", work.UnitCount);		    // 数量
-                    strcmd.AppendFormat(",'{0}'", work.UnitName);		    // 単位
+                    strcmd.AppendFormat(", {0}", SeparateString(work.UnitName));    // 単位
                     strcmd.AppendFormat(", {0}", work.UnitPrice);		    // 単価
                     strcmd.AppendFormat(", {0}", work.LineTotal);		    // 金額
-                    strcmd.AppendFormat(",'{0}'", work.Note.Replace(",", "，").Replace("'", "’"));			    // 備考
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));	    // 備考
                     strcmd.AppendFormat(", {0}", work.CompanyCode);		    // 協力会社コード
                     strcmd.AppendFormat(", {0}", work.MyExpensesFlg);       // 自社経費フラグ
                     strcmd.AppendFormat(", {0}", work.InputFlg);            // 入力フラグ
@@ -270,13 +293,13 @@
                     strcmd.AppendFormat(", {0}", work.ComponentCode);	    // 構成キー
                     strcmd.AppendFormat(", {0}", work.ItemCode);		    // 工種キー
                     strcmd.AppendFormat(", {0}", work.SpecCode);		    // 規格・寸法キー
-                    strcmd.AppendFormat(",'{0}'", work.ItemName.Replace(",", "，").Replace("'", "’"));		    // 作業名称
-                    strcmd.AppendFormat(",'{0}'", work.SpecName.Replace(",", "，").Replace("'", "’"));		    // 作業／品質・形状・寸法
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ItemName));    // 作業名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SpecName));	// 作業／品質・形状・寸法
                     strcmd.AppendFormat(", {0}", work.UnitCount);		    // 数量
-                    strcmd.AppendFormat(",'{0}'", work.UnitName);		    // 単位
+                    strcmd.AppendFormat(", {0}", SeparateString(work.UnitName));	// 単位
                     strcmd.AppendFormat(", {0}", work.UnitPrice);		    // 単価
                     strcmd.AppendFormat(", {0}", work.LineTotal);		    // 金額
-                    strcmd.AppendFormat(",'{0}'", work.Note.Replace(",", "，").Replace("'", "’"));			    // 備考
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));	    // 備考
                     strcmd.AppendFormat(", {0}", work.CompanyCode);		    // 協力会社コード
                     strcmd.AppendFormat(", {0}", work.MyExpensesFlg);       // 自社経費フラグ
                     strcmd.AppendFormat(", {0}", work.InputFlg);            // 入力フラグ
@@ -324,13 +347,13 @@
                 strcmd.AppendFormat(",ComponentCode = {0}", data.ComponentCode);        // 構成キー（行）
                 strcmd.AppendFormat(",ItemCode = {0}", data.ItemCode);		            // 工種キー
                 strcmd.AppendFormat(",SpecCode = {0}", data.SpecCode);		            // 規格・寸法キー
-                strcmd.AppendFormat(",ItemName = '{0}'", data.ItemName.Replace(",", "，").Replace("'", "’"));		        // 作業名称
-                strcmd.AppendFormat(",SpecName = '{0}'", data.SpecName.Replace(",", "，").Replace("'", "’"));		        // 作業／品質・形状・寸法
+                strcmd.AppendFormat(",ItemName = {0}", SeparateString(data.ItemName));	// 作業名称
+                strcmd.AppendFormat(",SpecName = {0}", SeparateString(data.SpecName));	// 作業／品質・形状・寸法
                 strcmd.AppendFormat(",UnitCount = {0}", data.UnitCount);		        // 数量
-                strcmd.AppendFormat(",UnitName = '{0}'", data.UnitName);		        // 単位
+                strcmd.AppendFormat(",UnitName = {0}", SeparateString(data.UnitName));	// 単位
                 strcmd.AppendFormat(",UnitPrice = {0}", data.UnitPrice);		        // 単価
                 strcmd.AppendFormat(",LineTotal = {0}", data.LineTotal);		        // 金額
-                strcmd.AppendFormat(",Note = '{0}'", data.Note.Replace(",", "，").Replace("'", "’"));			            // 備考
+                strcmd.AppendFormat(",Note = {0}", SeparateString(data.Note));		    // 備考
                 strcmd.AppendFormat(",CompanyCode = {0}", data.CompanyCode);		    // 協力会社コード
                 strcmd.AppendFormat(",MyExpensesFlg = {0}", data.MyExpensesFlg);        // 自社経費フラグ
                 strcmd.AppendFormat(",InputFlg = {0}", data.InputFlg);                  // 入力フラグ
@@ -414,16 +437,16 @@
                         strcmd.AppendFormat(" SpecCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ItemName:		        // 作業名称
-                        strcmd.AppendFormat(" ItemName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ItemName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SpecName:		        // 作業／品質・形状・寸法
-                        strcmd.AppendFormat(" SpecName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SpecName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.UnitCount:		        // 数量
                         strcmd.AppendFormat(" UnitCount = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.UnitName:		        // 単位
-                        strcmd.AppendFormat(" UnitName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" UnitName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.UnitPrice:		        // 単価
                         strcmd.AppendFormat(" UnitPrice = {0}", ((double)value).ToString());
@@ -432,7 +455,7 @@
                         strcmd.AppendFormat(" LineTotal = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.Note:			        // 備考
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CompanyCode:            // 協力会社コード
                         strcmd.AppendFormat(" CompanyCode = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputBillingData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputBillingData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputBillingData.cs	(revision 484)
@@ -193,8 +193,8 @@
                 strcmd.AppendFormat(", {0}", data.TargetDate);
                 strcmd.AppendFormat(", {0}", data.SeqNo);
                 strcmd.AppendFormat(", {0}", data.ConstructionCode);
-                strcmd.AppendFormat(",'{0}'", data.FieldName);
-                strcmd.AppendFormat(",'{0}'", data.PersonName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.FieldName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.PersonName));
                 strcmd.AppendFormat(", {0}", data.BillPrice);
                 strcmd.AppendFormat(", {0}", data.ConsumptionTax);
                 strcmd.AppendFormat(", {0}", data.OtherPrice);
@@ -254,8 +254,8 @@
                     strcmd.AppendFormat(", {0}", work.TargetDate);
                     strcmd.AppendFormat(", {0}", work.SeqNo);
                     strcmd.AppendFormat(", {0}", work.ConstructionCode);
-                    strcmd.AppendFormat(",'{0}'", work.FieldName);
-                    strcmd.AppendFormat(",'{0}'", work.PersonName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FieldName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PersonName));
                     strcmd.AppendFormat(", {0}", work.BillPrice);
                     strcmd.AppendFormat(", {0}", work.ConsumptionTax);
                     strcmd.AppendFormat(", {0}", work.OtherPrice);
@@ -302,8 +302,8 @@
                 strcmd.AppendFormat(", TargetDate = {0}", data.TargetDate);
                 strcmd.AppendFormat(", SeqNo ={0}", data.SeqNo);
                 strcmd.AppendFormat(", ConstructionCode = {0}", data.ConstructionCode);
-                strcmd.AppendFormat(", FieldName = '{0}'", data.FieldName);
-                strcmd.AppendFormat(", PersonName = '{0}'", data.PersonName);
+                strcmd.AppendFormat(", FieldName = {0}", SeparateString(data.FieldName));
+                strcmd.AppendFormat(", PersonName = {0}", SeparateString(data.PersonName));
                 strcmd.AppendFormat(", BillPrice = {0}", data.BillPrice);
                 strcmd.AppendFormat(", ConsumptionTax = {0}", data.ConsumptionTax);
                 strcmd.AppendFormat(", OtherPrice = {0}", data.OtherPrice);
@@ -353,10 +353,10 @@
                         strcmd.AppendFormat(" SeqNo = {0}", (int)value);
                         break;
                     case (int)NameColumn.FieldName:
-                        strcmd.AppendFormat(" FieldName = '{0}'", value);
+                        strcmd.AppendFormat(" FieldName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.PersonName:
-                        strcmd.AppendFormat(" PersonName = '{0}'", value);
+                        strcmd.AppendFormat(" PersonName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.BillPrice:
                         strcmd.AppendFormat(" BillPrice = {0}", (long)value);
